// This file is derived form gmshEdge.h form gmsh source code and it
// is distributed on the same license as gmsh.

#ifndef _MY_EDGE_H_
#define _MY_EDGE_H_

#include "gmsh/GEdge.h"

class myEdge : public GEdge {
 public:
  myEdge(GModel *model, int tag, GVertex *v1, GVertex *v2);
  virtual ~myEdge() {}
  virtual Range<double> parBounds(int i) const;
  virtual GPoint point(double p) const;
  virtual SVector3 firstDer(double par) const;
  virtual void writeGEO(FILE *fp);
};

#endif
