// This file is derived form gmshVertex.h form gmsh source code and it
// is distributed on the same license as gmsh.

#ifndef _MY_VERTEX_H_
#define _MY_VERTEX_H_

#include "gmsh/GVertex.h"

class myVertex : public GVertex {
 protected:
  GPoint myPoint;

 public:
  myVertex(GModel *m, int tag, double lc=MAX_LC);
  virtual ~myVertex() {}
  virtual GPoint point() const 
  {
    return myPoint;
  }
  virtual double x() const { return myPoint.x(); }
  virtual double y() const { return myPoint.y(); }
  virtual double z() const { return myPoint.z(); }
  virtual void setPosition(GPoint &p);
};

#endif
